Bug 119965 - Tooltips on macOS don't match platform styling
Summary: Tooltips on macOS don't match platform styling
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Mac OS X (All)
: low enhancement
Assignee: Tomaz Vajngerl
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords:
Depends on:
Blocks: MacOS-Wishlist Toolbars-Tooltips
  Show dependency treegraph
 
Reported: 2018-09-18 19:46 UTC by Asif Youssuff
Modified: 2019-05-03 19:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Asif Youssuff 2018-09-18 19:46:27 UTC
Description:
Tooltips in Libreoffice use incorrect colors and font vs. the same tooltips in other Mac apps. 

Steps to Reproduce:
1. Hover over any icon in toolbar
2. Wait for tooltip to appear

Actual Results:
Tooltip uses a large font on a yellow background. 

Expected Results:
Tooltip should have a smaller (and different) font on a grayish background. 

Example of the expected tooltip can be seen at https://developer.apple.com/design/human-interface-guidelines/macos/user-interaction/help/


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Alex Thurgood 2018-09-19 09:12:13 UTC
Confirming with 

LO6112

however, this dates back to before the beginning of the LibreOffice project, so setting version to InheritedfromOOo.
Comment 2 Commit Notification 2019-04-26 11:40:59 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/43f8ea2195015b2b204f61798daf8b41bd7809b5%5E%21

tdf#119965 implement tooltip widget style on macos

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-05-03 19:52:38 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d3778236deb7d1e13f70f229c33ab6cfdc1f197f%5E%21

tdf#119965 implement tooltip widget style on macos

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.